> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mapp.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Create a contact
> Creates a new contact using the information provided in the contact object.
Check Contact_ for possible identifiers in the body.
Request body examples:
{
"emailAddress": "test20210203@dropmail.mapp.com",
"attributes":
[
{"name": "FirstName", "value": "John"},
{"name": "LastName", "value": "Smith"},
{"name": "mobileNumber", "value": "33505606709"},
{"name": "user.ISOCountryCode", "value": "FR"}
]
}
{
"emailAddress" : "testuser@dropmail.mapp.com"
}
## OpenAPI
````json POST /contact/create
{
"openapi": "3.0.4",
"info": {
"title": "Engage public API",
"version": "1"
},
"servers": [
{
"url": "https://your-engage-domain.com/api/rest"
}
],
"tags": [
{
"name": "Address Attributes"
},
{
"name": "Async"
},
{
"name": "Audit Log"
},
{
"name": "Automation"
},
{
"name": "Blacklist"
},
{
"name": "CMS (legacy)"
},
{
"name": "CMS Blocks"
},
{
"name": "CMS Frameworks"
},
{
"name": "CMS Messages"
},
{
"name": "CMS Templates"
},
{
"name": "Contact"
},
{
"name": "Content"
},
{
"name": "Coupon"
},
{
"name": "Draft Message"
},
{
"name": "Ecommerce"
},
{
"name": "Group"
},
{
"name": "Group Attributes"
},
{
"name": "Landing Page"
},
{
"name": "Member Attributes"
},
{
"name": "Membership"
},
{
"name": "Message"
},
{
"name": "Meta"
},
{
"name": "Mobile Push"
},
{
"name": "Prepared Message"
},
{
"name": "Process"
},
{
"name": "Profile Attributes"
},
{
"name": "Related Data"
},
{
"name": "Segmentation"
},
{
"name": "System"
},
{
"name": "System User"
},
{
"name": "Usage Statistics"
},
{
"name": "User"
},
{
"name": "Whiteboard"
}
],
"paths": {
"/contact/create": {
"post": {
"tags": [
"Contact"
],
"summary": "Create a contact",
"description": "Creates a new contact using the information provided in the contact object.{
\"emailAddress\": \"test20210203@dropmail.mapp.com\",
\"attributes\":
[
{\"name\": \"FirstName\", \"value\": \"John\"},
{\"name\": \"LastName\", \"value\": \"Smith\"},
{\"name\": \"mobileNumber\", \"value\": \"33505606709\"},
{\"name\": \"user.ISOCountryCode\", \"value\": \"FR\"}
]
}
{
\"emailAddress\" : \"testuser@dropmail.mapp.com\"
}",
"operationId": "create",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Contact"
}
}
},
"x-bodyName": "body"
},
"responses": {
"200": {
"description": "",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Contact"
}
}
}
},
"400": {
"description": "Such contact already exists",
"content": {
"application/json": {}
}
}
}
}
}
},
"components": {
"schemas": {
"Contact": {
"type": "object",
"properties": {
"contactId": {
"type": "integer",
"format": "int64"
},
"emailAddress": {
"type": "string"
},
"mobileNumber": {
"type": "string"
},
"applicationAlias": {
"type": "string"
},
"identifier": {
"type": "string"
},
"attributes": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Attribute"
}
},
"channelAddresses": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Attribute"
}
}
}
},
"Attribute": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"value": {
"type": "string"
}
}
}
}
}
}
````